AMD graphics hardware hangs with an homogeneous coloured screen or blank screen, and with chirp coming from the graphics card

Bug #881526 reported by Richard Tolley on 2011-10-25
186
This bug affects 39 people
Affects Status Importance Assigned to Milestone
Mesa
Confirmed
Critical
mesa (Ubuntu)
Critical
Unassigned
Nominated for Precise by James M. Leddy
Nominated for Quantal by James M. Leddy
Nominated for Raring by James M. Leddy
Nominated for Trusty by Alberto Salvia Novella
Nominated for Utopic by Alberto Salvia Novella
Nominated for Vivid by Alberto Salvia Novella

Bug Description

Happens at random, but more frequently running videos on YouTube with the HTML5 player (https://www.youtube.com/html5) or with the XBMC home theatre software.

/var/log/kern.log:
Oct 25 14:53:46 lt9630 kernel: [ 737.900416] INFO: rcu_sched_state detected stall on CPU 2 (t=15000 jiffies)
Oct 25 14:55:46 lt9630 kernel: [ 857.813946] [fglrx] ASIC hang happened
Oct 25 14:55:46 lt9630 kernel: [ 857.813950] Pid: 1149, comm: Xorg Tainted: P C 3.0.0-12-generic #20-Ubuntu
Oct 25 14:55:46 lt9630 kernel: [ 857.813951] Call Trace:
Oct 25 14:55:46 lt9630 kernel: [ 857.813985] [<ffffffffa00a0d7e>] KCL_DEBUG_OsDump+0xe/0x10 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814003] [<ffffffffa00ae20c>] firegl_hardwareHangRecovery+0x1c/0x50 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814036] [<ffffffffa013ad59>] ? _ZN4Asic9WaitUntil15ResetASICIfHungEv+0x9/0x10 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814068] [<ffffffffa013ad0c>] ? _ZN4Asic9WaitUntil15WaitForCompleteEv+0x6c/0xb0 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814099] [<ffffffffa0135fb4>] ? _ZN15ExecutableUnits10CPRingIdleE15idle_WaitMethod12_QS_CP_RING_+0xe4$
Oct 25 14:55:46 lt9630 kernel: [ 857.814127] [<ffffffffa0115acb>] ? _ZN10CMMSurfaceD1Ev+0xcb/0xe0 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814158] [<ffffffffa0135e7b>] ? _ZN15ExecutableUnits7PM4idleE15idle_WaitMethod+0x4b/0x90 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814187] [<ffffffffa012e8f1>] ? _ZN15QS_PRIVATE_CORE9QsPM4idleE15idle_WaitMethod+0x31/0x60 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814215] [<ffffffffa0119d8a>] ? _ZN10QS_PRIVATE11synchronizeEv+0x2a/0x30 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814243] [<ffffffffa01233f5>] ? _Z8uCWDDEQCmjjPvjS_+0x3b5/0x10c0 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814246] [<ffffffff810871ee>] ? down+0x2e/0x50
Oct 25 14:55:46 lt9630 kernel: [ 857.814266] [<ffffffffa00cc932>] ? firegl_cmmqs_CWDDE_32+0x332/0x440 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814285] [<ffffffffa00cb260>] ? firegl_cmmqs_CWDDE32+0x70/0x100 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814288] [<ffffffff81282e5a>] ? security_capable+0x2a/0x30
Oct 25 14:55:46 lt9630 kernel: [ 857.814306] [<ffffffffa00cb1f0>] ? firegl_cmmqs_createdriver+0x170/0x170 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814322] [<ffffffffa00a9e18>] ? firegl_ioctl+0x1e8/0x250 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814333] [<ffffffffa009a9be>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814335] [<ffffffff8117939a>] ? do_vfs_ioctl+0x8a/0x340
Oct 25 14:55:46 lt9630 kernel: [ 857.814338] [<ffffffff811679ed>] ? vfs_read+0x10d/0x180
Oct 25 14:55:46 lt9630 kernel: [ 857.814339] [<ffffffff811796e1>] ? sys_ioctl+0x91/0xa0
Oct 25 14:55:46 lt9630 kernel: [ 857.814342] [<ffffffff815f22c2>] ? system_call_fastpath+0x16/0x1b
Oct 25 14:55:46 lt9630 kernel: [ 857.814345] pubdev:0xffffffffa02fd600, num of device:1 , name:fglrx, major 8, minor 88.
Oct 25 14:55:46 lt9630 kernel: [ 857.814346] device 0 : 0xffff88019b850000 .

Oct 25 14:55:46 lt9630 kernel: [ 857.814345] pubdev:0xffffffffa02fd600, num of device:1 , name:fglrx, major 8, minor 88.
Oct 25 14:55:46 lt9630 kernel: [ 857.814346] device 0 : 0xffff88019b850000 .
Oct 25 14:55:46 lt9630 kernel: [ 857.814348] Asic ID:0x6779, revision:0x3c, MMIOReg:0xffffc90012b80000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814349] FB phys addr: 0xc0000000, MC :0xf00000000, Total FB size :0x40000000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814351] gart table MC:0xf0f8fd000, Physical:0xcf8fd000, size:0x402000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814353] mc_node :FB, total 1 zones
Oct 25 14:55:46 lt9630 kernel: [ 857.814354] MC start:0xf00000000, Physical:0xc0000000, size:0xfd00000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814356] Mapped heap -- Offset:0x0, size:0xf8fd000, reference count:33, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814357] Mapped heap -- Offset:0x0, size:0x1000000, reference count:1, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814359] Mapped heap -- Offset:0xf8fd000, size:0x403000, reference count:1, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814360] mc_node :INV_FB, total 1 zones
Oct 25 14:55:46 lt9630 kernel: [ 857.814362] MC start:0xf0fd00000, Physical:0xcfd00000, size:0x30300000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814363] Mapped heap -- Offset:0x302f4000, size:0xc000, reference count:1, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814365] mc_node :GART_USWC, total 2 zones
Oct 25 14:55:46 lt9630 kernel: [ 857.814366] MC start:0x40100000, Physical:0x0, size:0x50000000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814367] Mapped heap -- Offset:0x0, size:0x2000000, reference count:6, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814369] mc_node :GART_CACHEABLE, total 3 zones
Oct 25 14:55:46 lt9630 kernel: [ 857.814370] MC start:0x10400000, Physical:0x0, size:0x2fd00000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814371] Mapped heap -- Offset:0xa800000, size:0x700000, reference count:1, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814373] Mapped heap -- Offset:0x9a00000, size:0xe00000, reference count:2, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814374] Mapped heap -- Offset:0x8c00000, size:0xe00000, reference count:1, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814376] Mapped heap -- Offset:0x7e00000, size:0xe00000, reference count:2, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814378] Mapped heap -- Offset:0x7000000, size:0xe00000, reference count:3, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814379] Mapped heap -- Offset:0x6200000, size:0xe00000, reference count:2, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814381] Mapped heap -- Offset:0x5400000, size:0xe00000, reference count:2, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814382] Mapped heap -- Offset:0x4600000, size:0xe00000, reference count:2, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814384] Mapped heap -- Offset:0x3800000, size:0xe00000, reference count:5, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814385] Mapped heap -- Offset:0x2f00000, size:0x900000, reference count:6, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814387] Mapped heap -- Offset:0x2100000, size:0xe00000, reference count:3, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814389] Mapped heap -- Offset:0x1700000, size:0xa00000, reference count:4, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814390] Mapped heap -- Offset:0x1000000, size:0x700000, reference count:12, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814392] Mapped heap -- Offset:0x200000, size:0xe00000, reference count:5, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814393] Mapped heap -- Offset:0x0, size:0x200000, reference count:14, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814395] Mapped heap -- Offset:0xef000, size:0x11000, reference count:1, mapping count:0,
Oct 25 14:55:46 lt9630 kernel: [ 857.814398] GRBM : 0xa0003828, SRBM : 0x200006c0 .
Oct 25 14:55:46 lt9630 kernel: [ 857.814400] CP_RB_BASE : 0x401000, CP_RB_RPTR : 0x10aa0 , CP_RB_WPTR :0x10aa0.
Oct 25 14:55:46 lt9630 kernel: [ 857.814402] CP_IB1_BUFSZ:0x2d8, CP_IB1_BASE_HI:0x0, CP_IB1_BASE_LO:0x4040d000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814404] last submit IB buffer -- MC :0x4040d000,phys:0x196e97000.
Oct 25 14:55:46 lt9630 kernel: [ 857.814406] Dump the trace queue.
Oct 25 14:55:46 lt9630 kernel: [ 857.814407] End of dump

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: fglrx 2:8.881-0ubuntu4
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu3
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,grid,gnomecompat,resize,place,vpswitch,mousepoll,regex,imgpng,session,snap,move,animation,wall,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
CompositorRunning: None
Date: Tue Oct 25 17:35:28 2011
DistUpgraded: Log time: 2011-10-24 16:45:18.438043
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 fglrx, 8.881, 3.0.0-12-generic, x86_64: installed
 fglrx, 8.892, 3.0.0-12-generic, x86_64: built
GraphicsCard:
 ATI Technologies Inc NI Caicos [AMD RADEON HD 6450] [1002:6779] (prog-if 00 [VGA controller])
   Subsystem: Device [1b0a:909d]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
JockeyStatus:
 xorg:fglrx_updates - ATI/AMD proprietary FGLRX graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
 xorg:fglrx - ATI/AMD proprietary FGLRX graphics driver (Proprietary, Enabled, In use)
MachineType: Dell Inc. Vostro 260
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=3afabb70-6b7f-438b-a6d0-5c17e1749d8b ro quiet splash vt.handoff=7
SourcePackage: fglrx-installer
UpgradeStatus: Upgraded to oneiric on 2011-10-24 (0 days ago)
dmi.bios.date: 07/27/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 0GDG8Y
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 00
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd07/27/2011:svnDellInc.:pnVostro260:pvr00:rvnDellInc.:rn0GDG8Y:rvrA00:cvnDellInc.:ct3:cvr00:
dmi.product.name: Vostro 260
dmi.product.version: 00
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu5
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs 20090808ubuntu26
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Richard Tolley (richardj-w) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Matt Fischer (mfisch) wrote :
Download full text (12.0 KiB)

I get the same issue in 11.10. When I come back, I get a blank screen which I cannot wake-up and my laptop fan is running full speed. I have the hard power it to get it back up. Here is my stack, which looks similar, perhaps exactly the same:

ov 6 07:49:15 caprica kernel: [ 2242.104577] INFO: rcu_sched_state detected stall on CPU 0 (t=15000 jiffies)
Nov 6 07:51:15 caprica kernel: [ 2361.883483] [fglrx] ASIC hang happened
Nov 6 07:51:15 caprica kernel: [ 2361.883489] Pid: 1168, comm: Xorg Tainted: P C 3.0.0-12-generic #20-Ubuntu
Nov 6 07:51:15 caprica kernel: [ 2361.883491] Call Trace:
Nov 6 07:51:15 caprica kernel: [ 2361.883529] [<ffffffffa0148d7e>] KCL_DEBUG_OsDump+0xe/0x10 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883546] [<ffffffffa015620c>] firegl_hardwareHangRecovery+0x1c/0x50 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883580] [<ffffffffa01e2d59>] ? _ZN4Asic9WaitUntil15ResetASICIfHungEv+0x9/0x10 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883612] [<ffffffffa01e2d0c>] ? _ZN4Asic9WaitUntil15WaitForCompleteEv+0x6c/0xb0 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883643] [<ffffffffa01ddfb4>] ? _ZN15ExecutableUnits10CPRingIdleE15idle_WaitMethod12_QS_CP_RING_+0xe4/0x1a0 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883674] [<ffffffffa01dde7b>] ? _ZN15ExecutableUnits7PM4idleE15idle_WaitMethod+0x4b/0x90 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883703] [<ffffffffa01ddafe>] ? _ZN15ExecutableUnits9assertPM4Eb+0x1e/0x70 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883735] [<ffffffffa01e9259>] ? _ZN8AsicR6009assertPM4Eb+0x39/0x80 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883755] [<ffffffffa0173560>] ? firegl_cmmqs_enableqs+0x90/0x90 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883782] [<ffffffffa01b9856>] ? CMMQS_DisableQS+0x16/0x20 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883802] [<ffffffffa0173560>] ? firegl_cmmqs_enableqs+0x90/0x90 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883821] [<ffffffffa01751b2>] ? firegl_cmmqs_Disable_QS+0x62/0x80 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883839] [<ffffffffa0173580>] ? firegl_cmmqs_disableqs+0x20/0x90 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883851] [<ffffffffa0144976>] ? KCL_PosixSecurityCapCheck+0x26/0x30 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883867] [<ffffffffa0151e18>] ? firegl_ioctl+0x1e8/0x250 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883878] [<ffffffffa01429be>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
Nov 6 07:51:15 caprica kernel: [ 2361.883881] [<ffffffff8117939a>] ? do_vfs_ioctl+0x8a/0x340
Nov 6 07:51:15 caprica kernel: [ 2361.883884] [<ffffffff81167870>] ? vfs_write+0x110/0x180
Nov 6 07:51:15 caprica kernel: [ 2361.883886] [<ffffffff811796e1>] ? sys_ioctl+0x91/0xa0
Nov 6 07:51:15 caprica kernel: [ 2361.883889] [<ffffffff815f22c2>] ? system_call_fastpath+0x16/0x1b
Nov 6 07:51:15 caprica kernel: [ 2361.883891] pubdev:0xffffffffa03a5600, num of device:1 , name:fglrx, major 8, minor 88.
Nov 6 07:51:15 caprica kernel: [ 2361.883893] device 0 : 0xffff8801353d4000 .
Nov 6 07:51:15 caprica kernel: [ 2361.883894] Asic ID:0x6760, revision:0x3c, MMIOReg:0xffffc90011140000.
Nov 6 07:51:15 cap...

Akshat Aranya (aaranya+ubuntu) wrote :
Download full text (5.0 KiB)

I have the same problem. This happens without fail after some period of inactivity. Here's my stack:

[25559.979128] [fglrx] ASIC hang happened
[25559.979146] Pid: 1263, comm: Xorg Tainted: P 3.0.0-13-generic #22-Ubuntu
[25559.979152] Call Trace:
[25559.979279] [<ffffffffa01a2d7e>] KCL_DEBUG_OsDump+0xe/0x10 [fglrx]
[25559.979340] [<ffffffffa01b020c>] firegl_hardwareHangRecovery+0x1c/0x50 [fglrx]
[25559.979438] [<ffffffffa0233544>] ? _ZN18mmEnginesContainer9timestampEP26_QS_MM_TIMESTAMP_PACKET_INP27_QS_MM_TIMESTAMP_PACKET_OUT+0x184/0x1c0 [fglrx]
[25559.979452] [<ffffffff81012bee>] ? __switch_to_xtra+0x14e/0x180
[25559.979515] [<ffffffffa01cc422>] ? firegl_trace+0x72/0x1e0 [fglrx]
[25559.979610] [<ffffffffa023e8b3>] ? _ZN8mmEngine9timestampEv+0x63/0x90 [fglrx]
[25559.979701] [<ffffffffa02334a2>] ? _ZN18mmEnginesContainer9timestampEP26_QS_MM_TIMESTAMP_PACKET_INP27_QS_MM_TIMESTAMP_PACKET_OUT+0xe2/0x1c0 [fglrx]
[25559.979767] [<ffffffffa01cedf0>] ? firegl_cmmqs_notify_mvpu+0x2e0/0x2e0 [fglrx]
[25559.979850] [<ffffffffa021403a>] ? IsThreadTSExpired+0xca/0x110 [fglrx]
[25559.979914] [<ffffffffa01cee4b>] ? firegl_cmmqs_TSExpired+0x5b/0xd0 [fglrx]
[25559.979969] [<ffffffffa01a3945>] ? KCL_WAIT_Add_Exclusive+0x65/0x80 [fglrx]
[25559.980030] [<ffffffffa01babfa>] ? irqmgr_wrap_wait_for_hifreq_interrupt_ex+0xba/0x3d0 [fglrx]
[25559.980112] [<ffffffffa01b8f7b>] ? MCIL_SuspendThread+0xdb/0x120 [fglrx]
[25559.980208] [<ffffffffa021d862>] ? _ZN2OS13suspendThreadEj+0x22/0x30 [fglrx]
[25559.980296] [<ffffffffa021655f>] ? CMMQSWaitOnTsSignal+0xaf/0xd0 [fglrx]
[25559.980389] [<ffffffffa0225c72>] ? _Z8uCWDDEQCmjjPvjS_+0xc32/0x10c0 [fglrx]
[25559.980460] [<ffffffffa01ce932>] ? firegl_cmmqs_CWDDE_32+0x332/0x440 [fglrx]
[25559.980529] [<ffffffffa01cd260>] ? firegl_cmmqs_CWDDE32+0x70/0x100 [fglrx]
[25559.980547] [<ffffffff812831ca>] ? security_capable+0x2a/0x30
[25559.980614] [<ffffffffa01cd1f0>] ? firegl_cmmqs_createdriver+0x170/0x170 [fglrx]
[25559.980677] [<ffffffffa01abe18>] ? firegl_ioctl+0x1e8/0x250 [fglrx]
[25559.980735] [<ffffffffa019c9be>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
[25559.980750] [<ffffffff8117959a>] ? do_vfs_ioctl+0x8a/0x340
[25559.980763] [<ffffffff811798e1>] ? sys_ioctl+0x91/0xa0
[25559.980779] [<ffffffff815f27c2>] ? system_call_fastpath+0x16/0x1b
[25559.980795] pubdev:0xffffffffa03ff600, num of device:1 , name:fglrx, major 8, minor 88.
[25559.980808] device 0 : 0xffff880230c94000 .
[25559.980818] Asic ID:0x9802, revision:0x23, MMIOReg:0xffffc90012e00000.
[25559.980830] FB phys addr: 0xc0000000, MC :0xf00000000, Total FB size :0x18000000.
[25559.980843] gart table MC:0xf0fbfd000, Physical:0xcfbfd000, size:0x402000.
[25559.980856] mc_node :FB, total 1 zones
[25559.980866] MC start:0xf00000000, Physical:0xc0000000, size:0x10000000.
[25559.980879] Mapped heap -- Offset:0x0, size:0xfbfd000, reference count:69, mapping count:0,
[25559.980892] Mapped heap -- Offset:0x0, size:0x1000000, reference count:1, mapping count:0,
[25559.980907] Mapped heap -- Offset:0xfbfd000, size:0x403000, reference count:1, mapping count:0,
[25559.980920] mc_node :INV_FB, total 1 zones
[25559.980930] MC star...

Read more...

Akshat Aranya (aaranya+ubuntu) wrote :

Actually, in my case, Xorg freezes, but I can still log in remotely. X cannot be killed.

Guðni Þór (gudnithor) wrote :

Also happens for me. X is completly frozen and the machine needs a hard reboot. Logging in through SSH works though. 100% CPU utilization for the process that was using the ATI graphics card, in my case that process is always XBMC.

Dump message from dmesg in attachment.

Akshat Aranya (aaranya+ubuntu) wrote :

Guðni, in my case the hang always happens when I'm running XBMC, but the process in the stack is always Xorg.

This happens for me on a brand new computer with a new installation of 11.10.

Graphics card is NI Caicos Radeon HD 6450.

kede (kede) wrote :

Happend with my "old" intel core 2 duo and now with my new I7, usually when watching youtube videos.
I use an ATI Radeon HD 6800 Series.

Dec 31 19:47:49 k1 kernel: [ 1704.199736] INFO: rcu_sched_state detected stall on CPU 1 (t=15001 jiffies)
Dec 31 19:49:49 k1 kernel: [ 1823.857583] [fglrx] ASIC hang happened

Screen shows blue / black stripes. This happend while compiling a kernel. There was no video films running, just a gnome3 (gnome-shell) desktop. I did not touch mouse or keyboard. Compile finished without any errors. I could still login via ssh and execute "reboot" which worked.

Chris Van Hoof (vanhoof) on 2012-01-23
Changed in oem-priority:
status: New → Confirmed
67GTA (67gta) wrote :

For some reason my Dell laptop freezes HARD, but leaves no logs. Watching "tail -f /var/log/kern.log" shows "INFO: rcu_sched_state detected stall on CPU (t=15000 jiffies)" right before the crash.

Jason Greathouse (jgreat) wrote :

This problem happens constantly for me. Seems to most often coincide with swithing my kvm over (so usb connect) or using the wheel on my logitech mouse.

Same symptoms:
  ATI graphics card
  xorg process shows 100% cpu
  UI freezes

Only a reboot clears it up.

Changed in oem-priority:
importance: Undecided → Medium
nardis_Miles1 (edwardsa) wrote :

I'm running into the same, or nearly the same problem. I'm running oneiric on an Acer Aspire 1(Radeon HD 6250) . It is a dual boot with windows 7. The system freezes at the login screen. I have a colleague who mentioned that this may require a kernel switch for power saving at startup (in case you are looking for hints).

Bryce Harrington (bryce) wrote :

See also possible dupe #968265

raju (dsraju) wrote :
Download full text (4.1 KiB)

I have the same issue on ZT AMD FX-8120 Desktop using HD TV over HDMI as a monitor, able to login through ssh.
OS: Ubuntu 12.04 LTS
$ uname -a
Linux nanna-GA-880GM-USB3 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

lspci:
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Turks [Radeon HD 6570] (prog-if 00 [VGA controller])

kern.log:
May 5 14:49:55 nanna-GA-880GM-USB3 kernel: [ 2157.704051] HDMI status: Codec=0 Pin=3 Presence_Detect=1 ELD_Valid=1
May 5 14:49:59 nanna-GA-880GM-USB3 kernel: [ 2161.786535] HDMI hot plug event: Codec=0 Pin=3 Presence_Detect=0 ELD_Valid=0
May 5 14:49:59 nanna-GA-880GM-USB3 kernel: [ 2161.786561] HDMI status: Codec=0 Pin=3 Presence_Detect=0 ELD_Valid=0
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276008] [fglrx] ASIC hang happened
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276013] Pid: 1130, comm: Xorg Tainted: P O 3.2.0-24-generic #37-Ubuntu
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276016] Call Trace:
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276072] [<ffffffffa00abffe>] KCL_DEBUG_OsDump+0xe/0x10 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276102] [<ffffffffa00b958c>] firegl_hardwareHangRecovery+0x1c/0x50 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276158] [<ffffffffa0155119>] ? _ZN4Asic9WaitUntil15ResetASICIfHungEv+0x9/0x10 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276212] [<ffffffffa01550bc>] ? _ZN4Asic9WaitUntil15WaitForCompleteEv+0x9c/0xf0 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276266] [<ffffffffa014fbbe>] ? _ZN15ExecutableUnits10CPRingIdleE15idle_WaitMethod12_QS_CP_RING_+0x11e/0x1e0 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276322] [<ffffffffa014fa4c>] ? _ZN15ExecutableUnits7PM4idleE15idle_WaitMethod+0x4c/0x90 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276374] [<ffffffffa0145c71>] ? _ZN15QS_PRIVATE_CORE9QsPM4idleE15idle_WaitMethod+0x31/0x60 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276422] [<ffffffffa013074e>] ? _ZN10QS_PRIVATE11synchronizeEv+0xce/0xe0 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276473] [<ffffffffa013a0f5>] ? _Z8uCWDDEQCmjjPvjS_+0x3b5/0x10c0 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276479] [<ffffffff810903fe>] ? down+0x2e/0x50
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276512] [<ffffffffa00d9b6f>] ? firegl_cmmqs_CWDDE_32+0x36f/0x480 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276545] [<ffffffffa00d82de>] ? firegl_cmmqs_CWDDE32+0x6e/0x100 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276550] [<ffffffff8129ce01>] ? security_capable+0x21/0x30
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276582] [<ffffffffa00d8270>] ? firegl_cmmqs_createdriver+0x170/0x170 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276610] [<ffffffffa00b512d>] ? firegl_ioctl+0x1ed/0x250 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276635] [<ffffffffa00a59be>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
May 5 14:57:20 nanna-GA-880GM-USB3 kernel: [ 2603.276639] [<ffffffff81189cfa>] ? ...

Read more...

Changed in oem-priority:
status: Confirmed → Invalid
Matthew Scheirer (xanny) wrote :

I have this issue on 12.10 stock, with the stock 3.5.18 kernel, fglrx_updates, an A10-5800k, and no overclocking on any system component. I tried overvolting some parts to make sure its a software error, which it seems to be. I'm going to try Kernel 3.6 to see if it solves anything.

Changed in fglrx:
importance: Unknown → Medium
status: Unknown → Won't Fix
Changed in amd:
status: New → Invalid
status: Invalid → Triaged
krytek32 (nico-morris-beu6brc) wrote :

it happened to me too.
- ubuntu 12.04 x64
- gpu msi radeo 6870 hawk
- kde 4.10.1
- driver version 13.1

My system sometimes freezes at startup.
Error in log file: [fglrx] ASIC hang happened

tags: added: blocks-hwcert-enablement
David Harmon (drh444) wrote :

AMD EPR 374938 is being used to work this issue within AMD.

Changed in hwe-next:
assignee: nobody → James M. Leddy (jm-leddy)
David Harmon (drh444) wrote :

The fix was released through 12.102.4.4 to HP and Canonical

Please confirm the fix in that release.

David Harmon

Changed in amd:
status: Triaged → Fix Released
Changed in hwe-next:
status: New → Fix Committed
Changed in fglrx-installer (Ubuntu):
assignee: nobody → James M. Leddy (jm-leddy)
Changed in amd:
status: Fix Released → In Progress
Changed in amd:
status: In Progress → Fix Released
Richard Hansen (rhansen) wrote :

Just experienced this on trusty (fglrx-updates 2:13.350.1-0ubuntu2).

tags: added: trusty
Moreno Garcia (gnumoreno) wrote :
Download full text (10.3 KiB)

Problem:
 Computer hangs after I leave it idle for a while.

System Info:
 Linux blackmamba 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:30:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

lspci:
 00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
 00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
 00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
 00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
 00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
 00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
 00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
 00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
 00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
 00:1f.0 ISA bridge: Intel Corporation HM77 Express Chipset LPC Controller (rev 04)
 00:1f.2 RAID bus controller: Intel Corporation 82801 Mobile SATA Controller [RAID mode] (rev 04)
 00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
 01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Chelsea LP [Radeon HD 7730M]
 07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 07)
 08:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)

Using driver:
 fglrx-updates

Error message (from syslog):

 May 10 22:12:02 blackmamba kernel: [29422.754134] <6>[fglrx] ASIC hang happened
 May 10 22:12:02 blackmamba kernel: [29422.754139] CPU: 6 PID: 1410 Comm: Xorg Tainted: PF C O 3.13.0-24-generic #47-Ubuntu
 May 10 22:12:02 blackmamba kernel: [29422.754140] Hardware name: Dell Inc. Inspiron 7520/0DNMM8, BIOS A09 11/15/2012
 May 10 22:12:02 blackmamba kernel: [29422.754141] 00000001006f36d3 ffff8802525bbbd0 ffffffff81715ac4 0000000000000000
 May 10 22:12:02 blackmamba kernel: [29422.754144] ffff8802525bbbe0 ffffffffa037388e 00000001006f36d2 ffffffffa038293c
 May 10 22:12:02 blackmamba kernel: [29422.754146] 0000000000000000 ffffffffa047c05e ffff8802525bbc50 ffffffffa047bfc9
 May 10 22:12:02 blackmamba kernel: [29422.754148] Call Trace:
 May 10 22:12:02 blackmamba kernel: [29422.754154] [<ffffffff81715ac4>] dump_stack+0x45/0x56
 May 10 22:12:02 blackmamba kernel: [29422.754199] [<ffffffffa037388e>] KCL_DEBUG_OsDump+0xe/0x10 [fglrx]
 May 10 22:12:02 blackmamba kernel: [29422.754231] [<ffffffffa038293c>] firegl_hardwareHangRecovery+0x1c/0x30 [fglrx]
 May 10 22:12:02 blackmamba kernel: [29422.754298] [<ffffffffa047c05e>] ? _ZN4Asic9WaitUntil15ResetASICIfHungEv+0x1e/0x30 [fglrx]
 May 10 22:12:02 blackmamba kernel: [...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed

It crashes the entire operating system.

Changed in fglrx-installer (Ubuntu):
importance: Undecided → Critical
Changed in fglrx-installer-updates (Ubuntu):
importance: Undecided → Critical
Changed in fglrx-installer (Ubuntu):
assignee: James M. Leddy (jm-leddy) → nobody
Changed in hwe-next:
assignee: James M. Leddy (jm-leddy) → nobody
status: Fix Committed → Won't Fix
teaker1s (teaker1s) wrote :

Complete system freeze and reboot with youtube firefox html5.
No error log messages, no overheating registered, ram test passes for hours and cpuburn will run hours without issues.
I'm convinced it is new graphics card within new system and have tried both open source and propriety driver.
looking to give further information if possible

Because this bug is reproducible without having fgrlx installed, the flaw isn't in these packages.

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Critical
status: New → Confirmed
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Invalid
Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → Invalid
no longer affects: fglrx-installer (Ubuntu)
no longer affects: fglrx-installer-updates (Ubuntu)
affects: fglrx → hundredpapercuts
Changed in hundredpapercuts:
importance: Medium → Undecided
status: Won't Fix → New
no longer affects: hundredpapercuts
affects: oem-priority → hundredpapercuts
no longer affects: hundredpapercuts
affects: hwe-next → hundredpapercuts
no longer affects: hundredpapercuts
affects: amd → hundredpapercuts
no longer affects: hundredpapercuts
tags: added: utopic
description: updated
summary: - System freezes, kernel crashes, "[fglrx] ASIC hang happened"
+ AMD graphics hardware hangs with an homogeneous coloured screen or blank
+ screen, and with chirp coming from the graphics card.
summary: AMD graphics hardware hangs with an homogeneous coloured screen or blank
- screen, and with chirp coming from the graphics card.
+ screen, and with chirp coming from the graphics card
Download full text (7.5 KiB)

HOW TO REPRODUCE:
- On Ubuntu this is happening at random, but more frequently running videos on YouTube with the HTML5 player (https://www.youtube.com/html5) or with the XBMC home theatre software.

RESULT:
- Graphics hang with an homogeneous colour on screen or blank screen, and with chirp coming from the graphics card.

/var/log/kern.log (provided by another user):
Oct 25 14:53:46 lt9630 kernel: [ 737.900416] INFO: rcu_sched_state detected stall on CPU 2 (t=15000 jiffies)
Oct 25 14:55:46 lt9630 kernel: [ 857.813946] [fglrx] ASIC hang happened
Oct 25 14:55:46 lt9630 kernel: [ 857.813950] Pid: 1149, comm: Xorg Tainted: P C 3.0.0-12-generic #20-Ubuntu
Oct 25 14:55:46 lt9630 kernel: [ 857.813951] Call Trace:
Oct 25 14:55:46 lt9630 kernel: [ 857.813985] [<ffffffffa00a0d7e>] KCL_DEBUG_OsDump+0xe/0x10 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814003] [<ffffffffa00ae20c>] firegl_hardwareHangRecovery+0x1c/0x50 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814036] [<ffffffffa013ad59>] ? _ZN4Asic9WaitUntil15ResetASICIfHungEv+0x9/0x10 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814068] [<ffffffffa013ad0c>] ? _ZN4Asic9WaitUntil15WaitForCompleteEv+0x6c/0xb0 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814099] [<ffffffffa0135fb4>] ? _ZN15ExecutableUnits10CPRingIdleE15idle_WaitMethod12_QS_CP_RING_+0xe4$
Oct 25 14:55:46 lt9630 kernel: [ 857.814127] [<ffffffffa0115acb>] ? _ZN10CMMSurfaceD1Ev+0xcb/0xe0 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814158] [<ffffffffa0135e7b>] ? _ZN15ExecutableUnits7PM4idleE15idle_WaitMethod+0x4b/0x90 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814187] [<ffffffffa012e8f1>] ? _ZN15QS_PRIVATE_CORE9QsPM4idleE15idle_WaitMethod+0x31/0x60 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814215] [<ffffffffa0119d8a>] ? _ZN10QS_PRIVATE11synchronizeEv+0x2a/0x30 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814243] [<ffffffffa01233f5>] ? _Z8uCWDDEQCmjjPvjS_+0x3b5/0x10c0 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814246] [<ffffffff810871ee>] ? down+0x2e/0x50
Oct 25 14:55:46 lt9630 kernel: [ 857.814266] [<ffffffffa00cc932>] ? firegl_cmmqs_CWDDE_32+0x332/0x440 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814285] [<ffffffffa00cb260>] ? firegl_cmmqs_CWDDE32+0x70/0x100 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814288] [<ffffffff81282e5a>] ? security_capable+0x2a/0x30
Oct 25 14:55:46 lt9630 kernel: [ 857.814306] [<ffffffffa00cb1f0>] ? firegl_cmmqs_createdriver+0x170/0x170 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814322] [<ffffffffa00a9e18>] ? firegl_ioctl+0x1e8/0x250 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814333] [<ffffffffa009a9be>] ? ip_firegl_unlocked_ioctl+0xe/0x20 [fglrx]
Oct 25 14:55:46 lt9630 kernel: [ 857.814335] [<ffffffff8117939a>] ? do_vfs_ioctl+0x8a/0x340
Oct 25 14:55:46 lt9630 kernel: [ 857.814338] [<ffffffff811679ed>] ? vfs_read+0x10d/0x180
Oct 25 14:55:46 lt9630 kernel: [ 857.814339] [<ffffffff811796e1>] ? sys_ioctl+0x91/0xa0
Oct 25 14:55:46 lt9630 kernel: [ 857.814342] [<ffffffff815f22c2>] ? system_call_fastpath+0x16/0x1b
Oct 25 14:55:46 lt9630 kernel: [ 857.814345] pubdev:0xffffffffa02fd600, num of device:1 , name:fglrx, major 8, minor 88.
Oct 25 14:55:46 lt9630 kernel: [ 857.814346] device 0 : 0xffff88019b850000 ...

Read more...

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
description: updated

You are using fglrx. Is this an issue with the open source drivers?

Yes, I'm not using fgrlx at all.

It happens using both the libre and the proprietary drivers.

Changed in xserver-xorg-driver-ati:
importance: Unknown → Critical
status: Unknown → Confirmed

Because this normally happens after first boot, but not in posterior ones, I greatly suspect this is a hardware bug.

Probably this is happening because of the GPU passing from a cold state to a warm state too fast, under graphic demanding operations as watching videos are.

And Windows users won't be experiencing this as the GPU doesn't stay in a maximum power state all the time.

Because this normally happens after first boot, but not in posterior ones, I greatly suspect this is a hardware bug.

Probably this is happening because of the GPU passing from a cold state to a warm state too fast, under graphic demanding operations as watching videos are.

And Windows users won't be experiencing this as the GPU doesn't stay in a maximum power state all the time.

So this should be a bug in the Linux kernel, Direct Rendering Manager's, Dinamic Power Management feature.

So this should be a bug in the Linux kernel, Direct Rendering Manager's, Dinamic Power Management feature.

Changed in linux (Ubuntu):
importance: Undecided → Critical
status: New → Confirmed
Changed in linux (Ubuntu):
assignee: nobody → Alberto Salvia Novella (es20490446e)
status: Confirmed → In Progress
Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Changed in linux (Ubuntu):
status: In Progress → Triaged
assignee: Alberto Salvia Novella (es20490446e) → nobody
Changed in amd:
status: New → Confirmed

You seem to be using a very old version of Ubuntu and in particular the Linux kernel. Can you try newer versions? Current versions of the kernel radeon driver support DPM.

It also happens to me using Ubuntu 14.10 with xorg 7.7.

(In reply to Alberto Salvia Novella from comment #6)
> It also happens to me using Ubuntu 14.10 with xorg 7.7.

Please attach the full /var/log/Xorg.0.log and output of dmesg corresponding to that here.

Created attachment 112508
xorg.0.log

Created attachment 112509
dmesg.0.log

Both fglrx and radeon support dynamic power management so this does not likely have anything to do with power management. It looks like a plain old GPU hang. I'd suggest updating your mesa stack in the case of the open source driver.

Changed in mesa (Ubuntu):
importance: Undecided → Critical
Changed in mesa:
importance: Undecided → Unknown
status: New → Unknown
no longer affects: xserver-xorg-driver-ati
no longer affects: linux
no longer affects: linux (Ubuntu)
no longer affects: xserver-xorg-video-ati (Ubuntu)
no longer affects: fglrx
no longer affects: amd
Changed in mesa (Ubuntu):
status: New → Triaged

Does fglrx depend on Mesa?
How can I figure out if this is a bug in Mesa?

(In reply to Alberto Salvia Novella from comment #11)
> Does fglrx depend on Mesa?

No

> How can I figure out if this is a bug in Mesa?

Make sure you have completely removed fglrx (there are many guides on how to do this in Ubuntu just google it) and then try using this ppa with updated drivers https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers

Changed in mesa:
importance: Unknown → Critical
status: Unknown → Confirmed
raju (dsraju) wrote :

Upgraded to ubuntu 14.10 still the card freezes. I took it to a pc repair shop. They ran stress tests and found that the graphics cad han issue. It was replaced with Radeon HD 7800. Now it runs great.

So why is this happening also with the proprietary driver?

And about upgrading using the PPA, I have just done it. If in three weeks the problem doesn't reproduce, I will report it as gone in git version.

@ Raju
How they knew the card was damaged?

I can confirm upgrading from the PPA didn't solve the problem :)

Graphics hanged again just after finishing the latest comment.

The open and closed drivers currently don't play nice together. Hopefully one day that will change. But to me it looks like you haven't fully removed fglrx and this is causing you problems.

The Synaptic package manager says there isn't any fglrx package installed, and following instructions at <http://askubuntu.com/questions/78675/how-do-i-remove-the-fglrx-drivers-after-ive-installed-them-by-hand> says the same.

Wait, comment 2 says further steps are needed... I'm testing now.

If after following steps at <http://askubuntu.com/a/294396/19033> you are still experiencing this problem, please set its status back to "confirmed".

Changed in mesa (Ubuntu):
status: Triaged → Incomplete

I will test this for a while.

Changed in mesa:
status: Confirmed → Incomplete

I can still hang graphics by doing this:

1. Let the computer cool down for several hours.
2. Preferably in the morning, when ambiance is cool, switch on the computer.
3. Using the HTML5 YouTube player, play a video.

Changed in mesa (Ubuntu):
status: Incomplete → Confirmed

It looks like if the computer has been on for a while, is harder to make it to hang.

Changed in mesa (Ubuntu):
status: Confirmed → Triaged
Changed in mesa:
status: Incomplete → Confirmed

Other symptom is sound hangs too.

And sometimes, when graphics hang, what appear in screen is a pattern of stripes of near the same colour.

I confirm it also happens with the Adobe Flash player when reproducing videos in YouTube.

Jeremy Stephens (kindlyviking) wrote :

This is still an issue for me in Ubuntu 15.04.

tags: added: vivid
manof (manof) wrote :

I still have the same problem on Ubuntu 14.04.5 LTS (4.2.0-42-generic GNU/Linux) with HP notebook 17-y011nc (AMD A10-9600P RADEON R5, 10 COMPUTE CORES 4C+6G; AMD Radeon (TM) R7 M340, on command line it gives me something slightly different: AMD/ATI Topaz XT (Radeon R7 M260/M265)).
I use proprietary drivers (fglrx) but using open source drivers before didn't help.
I don't use mouse, just touchpad, and when the screen freezes, I can't move mouse pointer with touchpad. Didn't try it with real mouse.
Unlike almost all the guys above, Ctrl-Alt-F1 (switch to tty1) doesn't work for me.
Music keeps playing but the display is completely frozen.
Alt-PrtSc-REISUB works (after E music stops, after B system reboots).

In my case it seemed to be a faulty heat dissipation, it's just in only happened under Linux because in GNOME based desktop environments the power mode stays at a higher level more frequently than in other operating systems.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.